### Constructor

# Gtk.ComboBox.new_with_model

#### Declaration [src]

    GtkWidget*
    gtk_combo_box_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkComboBox` with a model.

#### Parameters

`model` | `GtkTreeModel`
| a `GtkTreeModel`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
A new `GtkComboBox`
Ownership is not transferred to the caller